<template>
  <section class="container">
    <h2>{{ password }}</h2>
    <p>{{ countLetters }}</p>
    <div>
      <input type="text" placeholder="Your password" v-model="password" /><span>{{
        passwordStrength
      }}</span>
    </div>
  </section>
</template>

<script>
import { ref, computed, watch } from 'vue';

export default {
  setup() {
    const password = ref('');
    const passwordStrength = ref('');
    const countLetters = computed(() => {
      return password.value.length;
    });

    watch(countLetters, (_, newState) => {
      if (Number.parseInt(newState) < 6) {
        passwordStrength.value = 'weak';
      } else if (
        Number.parseInt(newState) >= 6 &&
        Number.parseInt(newState) < 10
      ) {
        passwordStrength.value = 'medium';
      } else if (
        Number.parseInt(newState) >= 10 &&
        Number.parseInt(newState) < 16
      ) {
        passwordStrength.value = 'strong';
      } else {
        passwordStrength.value = 'you are crazy';
      }
    });

    return {
      password,
      countLetters,
      passwordStrength
    };
  },
};
</script>

<style>
* {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
}

body {
  margin: 0;
}

.container {
  margin: 3rem auto;
  max-width: 30rem;
  border-radius: 12px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.26);
  padding: 1rem;
  text-align: center;
}
</style>
